#include <iostream>

using namespace std;

int main()
{
    int n,X[n],Y[n],Z[n],zbir=0;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>X[i];
    }
    for(int i=1;i<=n;i++){
        cin>>Y[i];
    }
    for(int i=1;i<=n;i++){
        cin>>Z[i];
    }
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(X[i]==Y[Z[j]]){
                zbir++;
            }

        }
    }
    cout<<zbir;
    return 0;
}